/***************************************************************************
 *   Copyright (C) 2009 by Marcel Hasler                                   *
 *   mahasler@gmail.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <KAboutData>
#include <KCmdLineArgs>
#include <KUniqueApplication>

#include "kdecdemu.h"

#include <cstdlib>
using namespace std;

int main (int argc, char *argv[])
{
    KAboutData aboutData("kde_cdemu", "konqueror", ki18n("KDE CDEmu Manager"), "0.3", ki18n("A KDE Frontend to CDEmu"),
            KAboutData::License_GPL, ki18n("Copyright (c) 2009 Marcel Hasler"));
    aboutData.addAuthor(ki18n("Marcel Hasler"), ki18n("Developer & Maintainer"), "mahasler@gmail.com");
    aboutData.setProgramIconName("media-optical");

    KLocale::setMainCatalog("kde_cdemu");

    KCmdLineArgs::init(argc, argv, &aboutData);

    KCmdLineOptions options;
    options.add("mount <file>", ki18n("Mount an image"));
    options.add("unmount <deviceNumber>", ki18n("Unmount an image"));
    options.add("status", ki18n("Show information about devices"));
    KCmdLineArgs::addCmdLineOptions(options);
    KUniqueApplication::addCmdLineOptions();

    if (!KUniqueApplication::start())
        exit(0);

    KDECDEmu app;
    return app.exec();
}
