/***************************************************************************
 *   Copyright (C) 2009 by Marcel Hasler                                   *
 *   mahasler@gmail.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "messagebox.h"

#include <KLocale>
#include <KMessageBox>

//---------------------------------------------------------------------------------------------------------- //
//    Public method                                                                                          //
//---------------------------------------------------------------------------------------------------------- //

void MessageBox::error(CDEmu::Result result)
{
    switch (result)
    {
        case CDEmu::NoFreeDevice:
            showMessage(i18n("Couldn't mount the image! All virtual drives are in use."));
            break;
        case CDEmu::FileNotFound:
            showMessage(i18n("Couldn't mount the image! The file doesn't exist."));
            break;
        case CDEmu::UnknownMountError:
            showMessage(i18n("Couldn't mount the image! An unknown error occured."));
            break;
        case CDEmu::UnknownUnmountError:
            showMessage(i18n("Couldn't unmount the image! An unknown error occured."));
            break;
        case CDEmu::DaemonNotRunning:
            showMessage(i18n("Couldn't connect to the CDEmu daemon.\n"
                             "Please make sure it is running and try again."));
            break;
        default:
            break;
    }
}


//---------------------------------------------------------------------------------------------------------- //
//    Private helper                                                                                         //
//---------------------------------------------------------------------------------------------------------- //

void MessageBox::showMessage(QString text)
{
    KMessageBox::information(0, text, i18n("Error"));
}

//---------------------------------------------------------------------------------------------------------- //
